Alert Type Configs
Operations related to Alert Type Configurations that define the types and parameters of alerts available on the platform.
Get alert type config by id
Alert type config key
Organisation owning the alerts
The type of the alerts
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"last_modified_ts": 0,
"organisation_id": "text",
"config_value": "text",
"archived": false,
"alert_type": "SEGMENT_VOLUME_DROP",
"created_ts": 0,
"last_modified_by": "text",
"created_by": "text",
"config_key": "text"
}
}Create an alert type config
Alert type config key
Organisation owning the alerts
The type of the alerts
0false0Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 75
{
"config_value": "text",
"archived": false,
"alert_type": "SEGMENT_VOLUME_DROP"
}{
"status": "ok",
"data": {
"last_modified_ts": 0,
"organisation_id": "text",
"config_value": "text",
"archived": false,
"alert_type": "SEGMENT_VOLUME_DROP",
"created_ts": 0,
"last_modified_by": "text",
"created_by": "text",
"config_key": "text"
}
}Update an alert type config
Alert type config key
Organisation owning the alerts
The type of the alerts
0false0Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 75
{
"config_value": "text",
"archived": false,
"alert_type": "SEGMENT_VOLUME_DROP"
}{
"status": "ok",
"data": {
"last_modified_ts": 0,
"organisation_id": "text",
"config_value": "text",
"archived": false,
"alert_type": "SEGMENT_VOLUME_DROP",
"created_ts": 0,
"last_modified_by": "text",
"created_by": "text",
"config_key": "text"
}
}Delete an alert type config
Alert type config key
Organisation owning the alerts
The type of the alerts
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Alert type config key
Organisation owning the alerts
The type of the alerts
The value of the config
If true the result will contain only archived alerts
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/alert_type_configs?organisation_id=1 HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": [
{
"last_modified_ts": 0,
"organisation_id": "text",
"config_value": "text",
"archived": false,
"alert_type": "SEGMENT_VOLUME_DROP",
"created_ts": 0,
"last_modified_by": "text",
"created_by": "text",
"config_key": "text"
}
],
"count": 1,
"total": 1,
"first_result": 1,
"max_results": 1
}Last updated
Was this helpful?